<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/bbox2.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>bbox2.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for bbox2.c:</div>
<div class="dynsection">
<div class="center"><img src="bbox2_8c__incl.png" border="0" usemap="#util_2bbox2_8c_map" alt=""/></div>
<map name="util_2bbox2_8c_map" id="util_2bbox2_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="bbox2_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e">bbox2</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, PetscReal *vertxyz2, int n_prop, int *propid, PetscReal *bbox, int *pix)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a2460e21f8005742412b1ac06db34db6e"></a><!-- doxytag: member="bbox2.c::bbox2" ref="a2460e21f8005742412b1ac06db34db6e" args="(GridData *gdata, PetscReal *vertxyz2, int n_prop, int *propid, PetscReal *bbox, int *pix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int bbox2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vertxyz2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_prop</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>propid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>bbox</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>pix</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="bbox2_8c_source.html#l00029">29</a> of file <a class="el" href="bbox2_8c_source.html">bbox2.c</a>.</p>

<p>References <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bbox2_8c_a2460e21f8005742412b1ac06db34db6e_cgraph.png" border="0" usemap="#bbox2_8c_a2460e21f8005742412b1ac06db34db6e_cgraph_map" alt=""></div>
<map name="bbox2_8c_a2460e21f8005742412b1ac06db34db6e_cgraph_map" id="bbox2_8c_a2460e21f8005742412b1ac06db34db6e_cgraph">
<area shape="rect" id="node3" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="112,5,187,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bbox2_8c_a2460e21f8005742412b1ac06db34db6e_icgraph.png" border="0" usemap="#bbox2_8c_a2460e21f8005742412b1ac06db34db6e_icgraph_map" alt=""></div>
<map name="bbox2_8c_a2460e21f8005742412b1ac06db34db6e_icgraph_map" id="bbox2_8c_a2460e21f8005742412b1ac06db34db6e_icgraph">
<area shape="rect" id="node3" href="util_8h.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="112,241,187,271"/><area shape="rect" id="node8" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="343,242,444,273"/><area shape="rect" id="node41" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="345,189,441,219"/><area shape="rect" id="node5" href="util_8h.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="236,241,292,271"/><area shape="rect" id="node46" href="init_8h.html#a2103238be825fa27dce52bbc795d532d" title="EleVertVol" alt="" coords="629,358,712,389"/><area shape="rect" id="node10" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="495,242,580,273"/><area shape="rect" id="node12" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="636,189,705,219"/><area shape="rect" id="node14" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="760,109,899,139"/><area shape="rect" id="node16" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1123,217,1181,247"/><area shape="rect" id="node20" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="984,63,1037,94"/><area shape="rect" id="node23" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="765,162,893,193"/><area shape="rect" id="node27" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="791,319,868,350"/><area shape="rect" id="node32" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="787,215,872,246"/><area shape="rect" id="node36" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="784,5,875,35"/><area shape="rect" id="node18" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1229,166,1280,197"/><area shape="rect" id="node29" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="948,319,1073,350"/><area shape="rect" id="node43" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="499,189,576,219"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

